import os

import testinfra.utils.ansible_runner

import warnings

warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']
).get_hosts('all')


def test_smb_in_fstab(host):
    fstab = host.file("/etc/fstab")
    assert fstab.contains("//share.example.com/media")


def test_smb_credentials(host):
    credentials = host.file("/root/.smbcredentials/multimedia")
    assert credentials.exists
    assert credentials.contains("username=myuser")
    assert credentials.contains("password=secure")
